<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_gravity="center"
    android:orientation="vertical">

    <ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="150dp"
                android:layout_marginTop="20dp"
                android:orientation="horizontal">

                <FrameLayout
                    android:layout_width="@dimen/_120sdp"
                    android:layout_height="@dimen/_120sdp"
                    android:gravity="center">

                    <br.com.gilson.tlcpb.widget.TwoLevelCircularProgressBar
                        android:id="@+id/progress1"
                        android:layout_width="@dimen/_100sdp"
                        android:layout_height="@dimen/_100sdp"
                        android:layout_gravity="center"
                        app:tlcp_bg_color="@color/light_pink"
                        app:tlcp_progress2_color="@color/light_pink"
                        app:tlcp_progress_color="@color/light_green"
                        app:tlcp_strokeWidth="4dp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="vertical">

                        <com.tasol.tataEmpSystem.widgets.RobotomediumTextView
                            android:id="@+id/rbTVPresent"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@color/black"
                            android:textSize="@dimen/_22sdp"
                            tools:text="76%" />

                        <com.tasol.tataEmpSystem.widgets.RobotomediumTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="ATTENDANCE"
                            android:textSize="12dp" />


                    </LinearLayout>

                </FrameLayout>

                <RelativeLayout
                    android:layout_width="0dp"

                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/_10sdp"
                    android:layout_weight="1">

                    <LinearLayout
                        android:id="@+id/llPrsent"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:gravity="center"
                        android:orientation="vertical">

                        <com.tasol.tataEmpSystem.widgets.CircularTextView
                            android:id="@+id/txtPresentRound"
                            android:layout_width="15dp"
                            android:layout_height="15dp" />

                        <com.tasol.tataEmpSystem.widgets.RobotolightTextView
                            android:id="@+id/txtPresentText"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:text="PRESENT"
                            android:textColor="@color/black"
                            android:textSize="15dp" />

                        <com.tasol.tataEmpSystem.widgets.RobotomediumTextView
                            android:id="@+id/txtPresentCount"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:textColor="@color/black"
                            android:textSize="18dp"
                            tools:text="24" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llAbsent"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_marginEnd="@dimen/_15sdp"
                        android:gravity="center"
                        android:orientation="vertical">

                        <com.tasol.tataEmpSystem.widgets.CircularTextView
                            android:id="@+id/txtAbsentRound"
                            android:layout_width="15dp"
                            android:layout_height="15dp" />

                        <com.tasol.tataEmpSystem.widgets.RobotolightTextView
                            android:id="@+id/txtAbsentText"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:text="ABSENT"
                            android:textColor="@color/black"
                            android:textSize="15dp" />

                        <com.tasol.tataEmpSystem.widgets.RobotomediumTextView
                            android:id="@+id/txtAbsentCount"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:textColor="@color/black"
                            android:textSize="18dp"
                            tools:text="40" />


                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llHalfDay"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/llPrsent"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="8dp"
                        android:gravity="center"
                        android:orientation="vertical"
                        android:visibility="gone">

                        <com.tasol.tataEmpSystem.widgets.CircularTextView
                            android:id="@+id/txtHalfDayRound"
                            android:layout_width="15dp"
                            android:layout_height="15dp" />

                        <com.tasol.tataEmpSystem.widgets.RobotolightTextView
                            android:id="@+id/txtHaldDayText"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:text="HALF DAY"
                            android:textColor="@color/black"
                            android:textSize="15dp" />

                        <com.tasol.tataEmpSystem.widgets.RobotomediumTextView
                            android:id="@+id/txtHaldDayCount"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:text="33"
                            android:textColor="@color/black"
                            android:textSize="18dp" />

                    </LinearLayout>


                </RelativeLayout>


            </LinearLayout>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="right"
                android:layout_marginRight="@dimen/_10sdp"
                android:gravity="right">

                <Button
                    android:id="@+id/filterDate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/colorAccent"
                    android:padding="@dimen/_10sdp"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textSize="@dimen/_14sdp" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <fragment
                    android:id="@+id/map"
                    android:name="com.google.android.gms.maps.SupportMapFragment"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/_5sdp" />

                <ImageView
                    android:id="@+id/btnMapFull"
                    android:layout_width="@dimen/_30sdp"
                    android:layout_height="@dimen/_30sdp"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="@dimen/_20sdp"
                    android:layout_marginTop="@dimen/_20sdp"
                    android:src="@drawable/ic_launcher" />

            </RelativeLayout>

            <com.tasol.tataEmpSystem.widgets.RobotoboldTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="20dp"
                android:text="SUBJECTWISE ATTENDANCE"
                android:textColor="#000000"
                android:textSize="17dp"
                android:visibility="gone" />

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:visibility="gone">

                <android.support.v7.widget.RecyclerView
                    android:id="@+id/recycler_view"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginEnd="20dp"
                    android:layout_marginStart="40dp" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="170dp">

                    <LinearLayout
                        android:id="@+id/llMin"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="bottom"
                        android:gravity="center_vertical"
                        android:visibility="gone">

                        <com.tasol.tataEmpSystem.widgets.RobotomediumTextView
                            android:layout_width="30dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="20dp"
                            android:text="MIN" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1"
                            android:background="@color/red"></View>
                    </LinearLayout>

                </FrameLayout>

            </FrameLayout>


        </LinearLayout>
    </ScrollView>
</LinearLayout>